Subject: Re: linux-next: manual merge of the s5p tree with the arm tree

From: Russell King <[email-masked]>
Date: Wed, 20 Jul 2011 09:04:41 +0100

On Wed, Jul 20, 2011 at 11:35:58AM +1000, Stephen Rothwell wrote:
> BTW, Russell, commit 29cb3cd208dd above changed the return type of
> exynos4_cpu_suspend() from void to int but did not add any return
> statement ...

That's fine - it ends with a call to panic() which is declared as a
function which never returns.  Therefore, exynos4_cpu_suspend() itself
never returns.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: